<?php

/*
 * This file is part of Qubit Toolkit.
 *
 * Qubit Toolkit is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * Qubit Toolkit is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Qubit Toolkit.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Information Object - editIsad
 *
 * @package    qubit
 * @subpackage informationObject - initialize an editIsad template for updating an information object
 * @author     Peter Van Garderen <peter@artefactual.com>
 * @version    SVN: $Id: editIsadAction.class.php 2113 2009-03-05 00:13:50Z david $
 */

class InformationObjectEditIsadAction extends InformationObjectEditAction
{
  public function execute($request)
  {
    // run the core informationObject edit action commands
    parent::execute($request);

    // add ISAD specific commands
    $this->isadEventTypes = QubitTerm::getIsadEventTypeList();

    // Set POST action
    $this->postAction = array('module' => 'informationobject', 'action' => 'updateIsad', 'id' => $this->informationObject->getId());
  }
}
